# Dataiku Cloud Stacks for GCP[¶](https://doc.dataiku.com/dss/latest/installation/cloudstacks-gcp/index.html#dataiku-cloud-stacks-for-gcp "Permalink to this headline")

Cloud stacks allow you to deploy a fully-managed Dataiku setup on Google cloud. The setup comes fully-featured with Elastic AI, advanced security, R support, auto-healing setup, …

Everything is deployed in your GCP organization and projects, Dataiku does not have access to your data.

* Conceptual overview

+ Fleet Manager (FM)

+ Instance

+ Instance template

+ Virtual network

+ Agent

* Guided setup 1: Deploy in a new VPC with Elastic Compute

+ Description

+ Prerequisites

+ Steps

- Create a service account for your Fleet Manager instance

- Create a service account for your DSS instance

- Ensure access to the container registry

- Create a VPC to host the fleet manager

- Deploy Fleet Manager

- Start your first DSS

- (Optional) Start your first Elastic compute cluster

* Deploy your Elastic Compute cluster

* Global settings

+ GCP authentication

+ License

+ HTTP proxy

* Virtual networks

+ Networking requirements

+ Creating

+ Editing

- Public IP address

- DNS Strategy

- HTTPS configuration

* None

* Self-signed certificate

* Custom certificate for each instance

+ Let’s Encrypt

* Instance templates and setup actions

+ SSH Key

+ User-assigned service accounts

+ Setup actions

- Setup Kubernetes and Spark-on-Kubernetes

- Install system packages

- Add authorized SSH keys

- Set security related HTTP Headers

- Install a JDBC driver

- Run Ansible tasks

* Instances

+ Dashboard

+ Lifecycle

- Provisioning

- Deprovisioning

+ Data management

+ Settings

- General settings

- HTTPS settings

+ Operations

* Upgrades of DSS instances

+ Updating the list of available versions

* Backup and restore of DSS instances

+ Manual snapshots

+ Automated snaphots

* Upgrading FM

* Single Sign-On

+ Users database

+ OpenID Connect

- About OIDC

* Glossary

* Compatibility

* OIDC features supported by FM

* How OIDC looks like with FM

- Setup OIDC in FM

* Registering a service provider entry for FM on the identity provider.

* Configuring FM for OIDC authentication.

+ IDP configuration

+ OIDC Client configuration

+ Examples of scopes by IDPs

* Mapping to the FM user

- Testing OIDC SSO

+ SAML

- About SAML

* Compatibility

- Setup SAML in FM

* Registering a service provider entry for FM on the identity provider.

* Configuring FM for SAML authentication.

+ Optional: configuring signed requests

* Choosing the login attribute

* Login remapping rules

* Testing SAML SSO
