# Bring New People and Roles into AI[¶](https://knowledge.dataiku.com/latest/courses/crash-course/dss10/introduction.html#bring-new-people-and-roles-into-ai "Permalink to this headline")

Dataiku 10 builds on core strengths related to bringing new people and roles into AI.

## Deploy and Maintain More Models in Production Across Teams[¶](https://knowledge.dataiku.com/latest/courses/crash-course/dss10/introduction.html#deploy-and-maintain-more-models-in-production-across-teams "Permalink to this headline")

Dataiku 10 provides advanced data scientists and IT operators with tools to deploy and maintain more models in production across teams. It also allows risk managers and project managers to scale safely with oversight for analytics and AI initiatives. Finally, Dataiku 10 helps domain experts deliver value faster with business solutions and accelerators.

The release includes intelligent checks and drift monitoring on live models, a visual comparator to see multiple models simultaneously, and a neighborhood explorer for model stress testing and alternate outcome simulations. In addition, MLflow centralizes model deployment and management in one governed system.

## Safely Scale with Oversight for Analytics and AI Initiatives[¶](https://knowledge.dataiku.com/latest/courses/crash-course/dss10/introduction.html#safely-scale-with-oversight-for-analytics-and-ai-initiatives "Permalink to this headline")

The new Model Registry provides a central repository for reviewing status and performance metrics for all models across multiple projects. Furthermore, customizable governance templates allow analytics teams to explore, build, test, and deploy AI projects with appropriate oversight to optimize speed and value.

Key stakeholders will be able to assess a project’s potential value and risk level using a standardized framework to compare initiatives for investment and determine the appropriate oversight level. Likewise, cross-functional stakeholders can utilize a structured framework for performing project oversight, review, and approval.

## Deliver Value Faster with Business Solutions and Accelerators[¶](https://knowledge.dataiku.com/latest/courses/crash-course/dss10/introduction.html#deliver-value-faster-with-business-solutions-and-accelerators "Permalink to this headline")

Dataiku 10 provides use-case-specific starter projects that teams can use to accelerate time-to-value, especially when there are no available subject matter experts with both Dataiku experience and bandwidth to build a solution from the ground up.

There are also new capabilities for teams wanting dedicated, secure landing pages where they can easily consume dashboards, datasets, applications, and wikis and then review results and monitor activity on a business initiative.

A set of new tools for geospatial analytics that lets teams manipulate, enrich, and visualize geodata in a familiar way is also available in Dataiku 10.

Finally, novice or citizen data scientists can leverage leading, pre-trained deep learning models for computer vision and NLP use cases.

## Other Noteworthy Features[¶](https://knowledge.dataiku.com/latest/courses/crash-course/dss10/introduction.html#other-noteworthy-features "Permalink to this headline")

By enhancing Dataiku’s visualizations, data consumers can independently discover answers through self-service visual exploration and interactively filter report data without altering the original Flow — perfect for Explorers.

In this release, data scientists can experiment more efficiently using the tools they need at their fingertips, including sophisticated feature handling methods, algorithms to develop more performant models, and queues for ML tasks.

Users with little to no prior knowledge of a dataset can quickly understand the most interesting columns and characteristics using augmented exploratory data analysis in Dataiku 10.

Furthermore, with extended support for SQL-based and Java-based data preparation and in-Snowflake model deployment, users can fully operate their Dataiku pipelines in Snowflake.

Finally, an off-the-shelf toolbox for recommendation systems includes a collaborative filtering recipe, a negative sampling recipe, and a customizable Dataiku application that can generate an initial recommendation system workflow in a few clicks.
