# Active Learning for classification problems[¶](https://knowledge.dataiku.com/latest/courses/active-learning/introduction.html#active-learning-for-classification-problems "Permalink to this headline")

When you need to manually label rows for a machine learning classification problem, **active learning** can help optimize the order in which you process the unlabeled data. Dataiku provides a plugin that provides ML-assisted labeling using active learning techniques.

This tutorial shows a simple project and highlights the best practices to build an active learning project in Dataiku DSS.

## Prerequisites[¶](https://knowledge.dataiku.com/latest/courses/active-learning/introduction.html#prerequisites "Permalink to this headline")

* You should be familiar with the basics of machine learning in Dataiku DSS.

## Technical Requirements[¶](https://knowledge.dataiku.com/latest/courses/active-learning/introduction.html#technical-requirements "Permalink to this headline")

* Access to a DSS instance with a license that allows you to run custom plugin scenarios. *Note:* The Free edition license does not allow this.

* Access to a DSS instance where the ML-assisted Labeling plugin is installed.

* Access to a DSS code environment with Python3 support, including the package set for Dataiku DSS Visual Machine Learning. The code environment used to build the model that assists with the labeling needs to be compatible with the code environment of the ML-assisted Labeling plugin.
