# Rebuild the Final Dataset[¶](https://knowledge.dataiku.com/latest/courses/advanced-data-prep/data-pipelines/build-final-dataset.html#rebuild-the-final-dataset "Permalink to this headline")

We’re almost there! The new columns have now been added to the schema *customers\_labelled*, but the dataset itself has been dropped and needs to be recreated.

We could rebuild the final output dataset in many different ways, but let’s demonstrate doing so through the Flow Actions menu.

* From the Flow Actions menu in the bottom right corner of the screen, choose **Build all**.

* Because the project has a single branch, *customers\_labelled* is the only dataset shown.

* Before building, click **Preview** to compute job dependencies. Because all of the upstream datasets are up to date, this job has just one activity– running the Prepare recipe.

* Click **Run**.

The final dataset in the Flow now contains the pivoted columns and is ready for sharing and further analysis.

At this point, the dataset produces more questions than it answers. For example, applying a descending sort to a column like *2017\_rank\_min* sparks a few interesting avenues for further exploration. Do the largest customers in 2017 tend to be the top customers in previous years? Or is there considerable variation among top customers year to year? Moreover, in 2017, certain ranks, like 4 and 10, are noticeably absent. We may wish to revisit the previous join conditions if important data is missing.

# What’s Next?[¶](https://knowledge.dataiku.com/latest/courses/advanced-data-prep/data-pipelines/build-final-dataset.html#what-s-next "Permalink to this headline")

The product documentation has more details on options for rebuilding datasets.

It also covers more of the technical details on handling of schemas by recipe.

You’ll have a chance to work more with these concepts in the Flow Views & Actions course of the Advanced Designer Learning Path.
