# Workflows and Project Qualification[¶](https://knowledge.dataiku.com/latest/courses/govern/explain-qualify/workflow-qualification.html#workflows-and-project-qualification "Permalink to this headline")

A workflow is a sequential series of steps to track the progress of an item. Dataiku Govern comes with a standard workflow for projects, model versions, and bundles.

Workflows are initiated when you govern an item. This is why a progress bar appears in the Govern status column of a project when it is governed. The progress bar is a reflection of the workflow, which can be found on an item page.

Click on any step in the workflow to view notes and documents related to that step.

## Workflow Steps[¶](https://knowledge.dataiku.com/latest/courses/govern/explain-qualify/workflow-qualification.html#workflow-steps "Permalink to this headline")

Each type of item in Dataiku Govern has its own default workflow. Here, let’s focus on a project workflow.

A project workflow has five steps:

* Exploration

* Qualification

* In Progress

* Validation and Roll-out

* Delivered

In order to advance through the workflow, you must click the **Edit** button in the top-right corner of the page.

At the start of a new project, all workflow steps are set as **Ongoing**. Each time you need to go to the next step, you must first mark the previous step as **Finished**.

When you are finished, remember to click **Save** to preserve your edits.

### Project Qualification in the Workflow[¶](https://knowledge.dataiku.com/latest/courses/govern/explain-qualify/workflow-qualification.html#project-qualification-in-the-workflow "Permalink to this headline")

A key step in the project workflow is the Qualification step. This step lets you qualify your projects to prioritize your work. More specifically:

For each project you will be able to

* edit the value rating,

* edit the risk rating,

* and assign a feasibility rating.

Note

If defined, these ratings are inherited from the Overview section. However, you can double check and confirm them here.

In addition to choosing these ratings, you can

* add a resulting decision,

* make comments on that decision,

* define a project plan,

* and add any additional notes you may need.

Hint

Some of this information defined during project qualification will appear again in the Governed projects page. For more details, check out the documentation on our Governed projects page.

Explore different item workflows on your own to discover how you can utilize our various workflow steps.
